/***********************************************************************
 *   IRCDSERV - Internet Relay Chat Services                            *
 *   Copyright (C) 1999-2000 Jan Oravec(WSX) and Juraj Lutter(otis)     *
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 1,    *
 *   or (at your option) any later version.                             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 *   You should have received a copy of the GNU General Public License  *
 *   along with this program; if not, write to the Free Software        *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.          *
  ***********************************************************************/
#include "ircdserv.h"

TCapab capab[] = {
{ "QS",		CAP_QS	},
{ "EX",		CAP_EX	},
{ "CHW",	CAP_CHW	},
{ "DE",		CAP_DE	},
{ NULL,		0	}
};

int checkcapab(char *c)
 {
  int i,j;
  
  context;
  j=0;
  for(i=0; capab[i].c; i++)
   if(!strcmp(capab[i].c, c)) j=capab[i].capab;
  return j;
 }

char *mycapab(char *c)
 {
  int i;
  
  context;
  c[0]=0;
  for(i=0; capab[i].c; i++)
   if(capab[i].capab&CAP_MY)
    sprintf(c, "%s%s ", c, capab[i].c);
  if(c[0]) c[strlen(c)-1]=0;
  context;
  return c;
 }
